import { get, post, put, del } from '../utils/request'


// API接口管理
const api = {
    // 获取配置数据
    fetchConfigParams: () => get('/api/officialWebsite/configParams/list'),
    getCategoryList: () => get('/api/officialWebsite/caseCategory/list'),
    getCasesList: (params) => get('/api/officialWebsite/cases/list', params),
    addLeaveMessage: (params) => post('/api/officialWebsite/leaveMessage', params),
    getSelectedCase: () => get('/api/officialWebsite/cases/selected'),
    getDevelopmentHistory: () => get('/api/officialWebsite/developmentHistory/list'),
    getServiceProcess: () => get('/api/officialWebsite/serviceProcess/list')
}

export default api